XMSSParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.xmss

## Class XMSSParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.xmss.XMSSParameters

-     public final class XMSSParameters
      extends java.lang.Object

  XMSS Parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMSSParameters(int height, ASN1ObjectIdentifier treeDigestOID)` XMSS Constructor...
    `XMSSParameters(int height, ASN1ObjectIdentifier treeDigestOID, int n)` XMSS Constructor with explicit security parameter n.
    `XMSSParameters(int height, Digest treeDigest)` XMSS Constructor...

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Getter height.
    `int` | `getParameterSetOID()` Return the RFC 8391 / SP 800-208 parameter-set identifier for this parameter set (the 4-octet value carried at the start of an RFC 9802 encoded key), or 0 if these parameters do not correspond to a standard set (for example a non-standard tree height).
    `ASN1ObjectIdentifier` | `getTreeDigestOID()` Return the tree digest OID.
    `int` | `getTreeDigestSize()` Getter digest size.
    `static XMSSParameters` | `lookupByOID(int oid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMSSParameters

          public XMSSParameters(int height,
                                Digest treeDigest)

      XMSS Constructor...
      Parameters:
        `height` - Height of tree.
        `treeDigest` - Digest to use.

    - #### XMSSParameters

          public XMSSParameters(int height,
                                ASN1ObjectIdentifier treeDigestOID)

      XMSS Constructor...
      Parameters:
        `height` - Height of tree.
        `treeDigestOID` - OID of digest to use.

    - #### XMSSParameters

          public XMSSParameters(int height,
                                ASN1ObjectIdentifier treeDigestOID,
                                int n)

      XMSS Constructor with explicit security parameter n.
      Parameters:
        `height` - Height of tree.
        `treeDigestOID` - OID of digest to use.
        `n` - Security parameter (digest output size in bytes), or -1 to derive from digest.

  - ### Method Detail

    - #### getTreeDigestSize

          public int getTreeDigestSize()

      Getter digest size.
      Returns:
        Digest size.

    - #### getTreeDigestOID

          public ASN1ObjectIdentifier getTreeDigestOID()

      Return the tree digest OID.
      Returns:
        OID for digest used to build the tree.

    - #### getParameterSetOID

          public int getParameterSetOID()

      Return the RFC 8391 / SP 800-208 parameter-set identifier for this parameter set (the 4-octet value carried at the start of an RFC 9802 encoded key), or 0 if these parameters do not correspond to a standard set (for example a non-standard tree height).
      Returns:
        the 4-octet parameter-set identifier, or 0 if none.

    - #### getHeight

          public int getHeight()

      Getter height.
      Returns:
        XMSS tree height.

    - #### lookupByOID

          public static XMSSParameters lookupByOID(int oid)